<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Userdata extends CI_Controller {


	public function index()
	{
	$this->load->model('Addnewrecord');
     $results=$this->Addnewrecord->fetchrecord();
     $this->load->view('fetchdata',['result'=>$results]);
	}

	public function insertdata()
	{
		
        $this->form_validation->set_rules('name','Name','required');
		$this->form_validation->set_rules('email','Email','required');
		$this->form_validation->set_rules('phone','Phone','required');
		$this->form_validation->set_rules('gender','Gender','required');
		$this->form_validation->set_rules('country','Country','required');
		$this->form_validation->set_rules('city','City','required');
		$this->form_validation->set_rules('qualification','Qualification','required');
		if($this->form_validation->run())
		{
		$name=$this->input->post('name');
		$email=$this->input->post('email');
		$phone=$this->input->post('phone');
		$gender=$this->input->post('gender');
		$country=$this->input->post('country');
		$city=$this->input->post('city');
		$qualification=$this->input->post('qualification');
		$this->load->model('Addnewrecord');
		$this->Addnewrecord->add($name,$email,$phone,$gender,$country,$city,$qualification);
		}
		 else{
		$this->load->view('add_new_record');
		}
	}

	public function Edit($id)
	{
	$this->load->model('Addnewrecord');
     $results=$this->Addnewrecord->editdata($id);
    $this->load->view('update',['row'=>$results]);
	}

	public function update(){
   $this->form_validation->set_rules('name','Name','required');
		$this->form_validation->set_rules('email','Email','required');
		$this->form_validation->set_rules('phone','Phone','required');
	    $this->form_validation->set_rules('city','City','required');
		$this->form_validation->set_rules('qualification','Qualification','required');
		if($this->form_validation->run())
		{
		$id=$this->input->post('id');
		$name=$this->input->post('name');
		$email=$this->input->post('email');
		$phone=$this->input->post('phone');
		$gender=$this->input->post('gender');
		$country=$this->input->post('country');
		$city=$this->input->post('city');
		$qualification=$this->input->post('qualification');
		
		$this->load->model('Addnewrecord');
		$this->Addnewrecord->updaterecord($id,$name,$email,$phone,$gender,$country,$city,$qualification);
		}
		 else{
		$this->load->view('fetchdata');
		}

	}




	public function delete($id)
	{
	$this->load->model('Addnewrecord');
     $results=$this->Addnewrecord->deleterow($id);
     $this->load->view('fetchdata');
	}
}


